package com.bcxin.ins.third.gzx.changan.ca_enum;

/**
 * <b> 工种类别	 </b>
 *
 * @author ZXF
 * @create 2021/03/03 0003 15:42
 * @version
 * @注意事项 </b>
 */
public enum CraftType {

    G_1 ("41", "4101", "410103", "4101030023", "物业保安人员", "3"),
    G_2 ("48", "4805", "480507", "4805070032", "一般清洁工", "2"),
    G_3 ("37", "3704", "370402", "3704020031", "一般内勤人员", "1"),
    G_4 ("42", "4202", "420206", "4202060014", "现金运送车司机、点钞员、押送员", "4");


    private final String code1;
    private final String code2;
    private final String code3;
    private final String code4;
    private final String name;
    private final String level;

    CraftType(final String code1
            ,final String code2
            ,final String code3
            ,final String code4
            , final String name
            , final String level){
        this.code1 = code1;
        this.code2 = code2;
        this.code3 = code3;
        this.code4 = code4;
        this.name = name;
        this.level = level;
    }

    public String getCode1() {
        return code1;
    }

    public String getCode2() {
        return code2;
    }

    public String getCode3() {
        return code3;
    }

    public String getCode4() {
        return code4;
    }

    public String getName() {
        return name;
    }

    public String getLevel() {
        return level;
    }

    public static CraftType getByCareer(String career){
        if("1".equals(career)){
            return CraftType.G_3;
        }else if("2".equals(career)){
            return CraftType.G_1;
        }else if("3".equals(career)){
            return CraftType.G_4;
        }else if("4".equals(career)){
            return CraftType.G_2;
        }
        return null;
    }
}
